Name: polkit-rule-gparted-as-root
Version: 0.1
Release: alt1

Summary: Rule for polkit set authenticate by password root for gparted
Summary(ru_RU.UTF-8): Использование пароля root для запуска gparted

License: GPLv3+
Group: Other
Url: https://altlinux.org/Polkit
BuildArch: noarch
Requires: polkit
Requires: gparted

%description
%summary.
%description -l ru_RU.UTF-8
Правило для polkit, чтобы gparted можно было запустить только с паролем суперпользователя

%install
mkdir -p %buildroot/%_datadir/polkit-1/rules.d
cat>%buildroot/%_datadir/polkit-1/rules.d/25-org.gnome.gparted.rules<<EOF
polkit.addAdminRule(function(action, subject) {
        if (action.id == "org.gnome.gparted") {
                return ["unix-group:root"];
        }
});
EOF

%files
%_datadir/polkit-1/rules.d/25-org.gnome.gparted.rules

%changelog
* Tue Dec 28 2021 Artem Proskurnev <tema@altlinux.org> 0.1-alt1
- Initial build
